#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1419\r"; sleep 2;
echo -e "write (0,1) -1572\r"; sleep 2;
echo -e "write (0,2) -1467\r"; sleep 2;
echo -e "write (0,3) -1600\r"; sleep 2;
echo -e "write (0,4) -1429\r"; sleep 2;
echo -e "write (0,5) -1469\r"; sleep 2;
echo -e "write (0,6) -1572\r"; sleep 2;
echo -e "write (0,9) -1655\r"; sleep 2;
echo -e "write (0,10) -1494\r"; sleep 2;
echo -e "write (0,11) -1373\r"; sleep 2;
echo -e "write (0,12) -1432\r"; sleep 2;
echo -e "write (0,13) -1423\r"; sleep 2;
echo -e "write (0,14) -1462\r"; sleep 2;
echo -e "write (1,0) -1367\r"; sleep 2;
echo -e "write (1,1) -1521\r"; sleep 2;
echo -e "write (1,2) -1350\r"; sleep 2;
echo -e "write (1,3) -1349\r"; sleep 2;
echo -e "write (1,4) -1600\r"; sleep 2;
echo -e "write (1,5) -1381\r"; sleep 2;
echo -e "write (1,6) -1376\r"; sleep 2;
echo -e "write (1,9) -1497\r"; sleep 2;
echo -e "write (1,10) -1275\r"; sleep 2;
echo -e "write (1,11) -1232\r"; sleep 2;
echo -e "write (1,12) -1331\r"; sleep 2;
echo -e "write (1,13) -1408\r"; sleep 2;
echo -e "write (1,14) -1393\r"; sleep 2;
echo -e "write (2,0) -1329\r"; sleep 2;
echo -e "write (2,1) -1275\r"; sleep 2;
echo -e "write (2,2) -1318\r"; sleep 2;
echo -e "write (2,3) -1418\r"; sleep 2;
echo -e "write (2,4) -1483\r"; sleep 2;
echo -e "write (2,5) -1401\r"; sleep 2;
echo -e "write (2,6) -1540\r"; sleep 2;
echo -e "write (2,9) -1340\r"; sleep 2;
echo -e "write (2,10) -1301\r"; sleep 2;
echo -e "write (2,11) -1383\r"; sleep 2;
echo -e "write (2,12) -1389\r"; sleep 2;
echo -e "write (2,14) -1370\r"; sleep 2;
echo -e "write (3,0) -1539\r"; sleep 2;
echo -e "write (3,1) -1433\r"; sleep 2;
echo -e "write (3,2) -1378\r"; sleep 2;
echo -e "write (3,3) -1559\r"; sleep 2;
echo -e "write (3,4) -1440\r"; sleep 2;
echo -e "write (3,5) -1332\r"; sleep 2;
echo -e "write (3,6) -1211\r"; sleep 2;
echo -e "write (3,9) -1318\r"; sleep 2;
echo -e "write (3,10) -1311\r"; sleep 2;
echo -e "write (3,11) -1204\r"; sleep 2;
echo -e "write (3,12) -1267\r"; sleep 2;
echo -e "write (3,13) -1380\r"; sleep 2;
echo -e "write (3,14) -1468\r"; sleep 2;
echo -e "write (4,0) -1243\r"; sleep 2;
echo -e "write (4,1) -1371\r"; sleep 2;
echo -e "write (4,2) -1593\r"; sleep 2;
echo -e "write (4,3) -1456\r"; sleep 2;
echo -e "write (4,4) -1344\r"; sleep 2;
echo -e "write (4,5) -1575\r"; sleep 2;
echo -e "write (4,6) -1559\r"; sleep 2;
echo -e "write (4,9) -1603\r"; sleep 2;
echo -e "write (4,10) -1372\r"; sleep 2;
echo -e "write (4,11) -1403\r"; sleep 2;
echo -e "write (4,12) -1538\r"; sleep 2;
echo -e "write (4,13) -1219\r"; sleep 2;
echo -e "write (4,14) -1341\r"; sleep 2;
echo -e "write (5,0) -1291\r"; sleep 2;
echo -e "write (5,1) -1385\r"; sleep 2;
echo -e "write (5,2) -1487\r"; sleep 2;
echo -e "write (5,3) -1374\r"; sleep 2;
echo -e "write (5,4) -1324\r"; sleep 2;
echo -e "write (5,5) -1326\r"; sleep 2;
echo -e "write (5,6) -1451\r"; sleep 2;
echo -e "write (5,9) -1399\r"; sleep 2;
echo -e "write (5,10) -1335\r"; sleep 2;
echo -e "write (5,11) -1467\r"; sleep 2;
echo -e "write (5,12) -1364\r"; sleep 2;
echo -e "write (5,14) -1367\r"; sleep 2;
echo -e "write (5,15) -1324\r"; sleep 2;
echo -e "write (6,0) -1467\r"; sleep 2;
echo -e "write (6,1) -1600\r"; sleep 2;
echo -e "write (6,2) -1631\r"; sleep 2;
echo -e "write (6,3) -1378\r"; sleep 2;
echo -e "write (6,4) -1600\r"; sleep 2;
echo -e "write (6,5) -1596\r"; sleep 2;
echo -e "write (6,6) -1419\r"; sleep 2;
echo -e "write (6,9) -1600\r"; sleep 2;
echo -e "write (6,10) -1673\r"; sleep 2;
echo -e "write (6,12) -1374\r"; sleep 2;
echo -e "write (6,13) -1336\r"; sleep 2;
echo -e "write (6,14) -1568\r"; sleep 2;
echo -e "write (7,0) -1495\r"; sleep 2;
echo -e "write (7,1) -1360\r"; sleep 2;
echo -e "write (7,2) -1471\r"; sleep 2;
echo -e "write (7,3) -1530\r"; sleep 2;
echo -e "write (7,4) -1492\r"; sleep 2;
echo -e "write (7,5) -1225\r"; sleep 2;
echo -e "write (7,6) -1602\r"; sleep 2;
echo -e "write (7,9) -1477\r"; sleep 2;
echo -e "write (7,10) -1600\r"; sleep 2;
echo -e "write (7,11) -1350\r"; sleep 2;
echo -e "write (7,12) -1656\r"; sleep 2;
echo -e "write (7,13) -1352\r"; sleep 2;
echo -e "write (7,14) -1423\r"; sleep 2;
echo -e "write (8,0) -1479\r"; sleep 2;
echo -e "write (8,1) -1313\r"; sleep 2;
echo -e "write (8,2) -1337\r"; sleep 2;
echo -e "write (8,3) -1600\r"; sleep 2;
echo -e "write (8,4) -1647\r"; sleep 2;
echo -e "write (8,5) -1385\r"; sleep 2;
echo -e "write (8,6) -1339\r"; sleep 2;
echo -e "write (8,9) -1303\r"; sleep 2;
echo -e "write (8,10) -1449\r"; sleep 2;
echo -e "write (8,11) -1526\r"; sleep 2;
echo -e "write (8,12) -1538\r"; sleep 2;
echo -e "write (8,13) -1246\r"; sleep 2;
echo -e "write (8,14) -1666\r"; sleep 2;
echo -e "write (9,0) -1558\r"; sleep 2;
echo -e "write (9,1) -1339\r"; sleep 2;
echo -e "write (9,2) -1296\r"; sleep 2;
echo -e "write (9,3) -1309\r"; sleep 2;
echo -e "write (9,4) -1342\r"; sleep 2;
echo -e "write (9,5) -1416\r"; sleep 2;
echo -e "write (9,6) -1404\r"; sleep 2;
echo -e "write (9,9) -1550\r"; sleep 2;
echo -e "write (9,10) -1522\r"; sleep 2;
echo -e "write (9,11) -1401\r"; sleep 2;
echo -e "write (9,12) -1683\r"; sleep 2;
echo -e "write (9,13) -1600\r"; sleep 2;
echo -e "write (9,14) -1634\r"; sleep 2;
echo -e "write (10,0) -1414\r"; sleep 2;
echo -e "write (10,1) -1463\r"; sleep 2;
echo -e "write (10,2) -1417\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1414\r"; sleep 2;
echo -e "write (10,5) -1274\r"; sleep 2;
echo -e "write (10,6) -1312\r"; sleep 2;
echo -e "write (10,9) -1598\r"; sleep 2;
echo -e "write (10,10) -1410\r"; sleep 2;
echo -e "write (10,11) -1483\r"; sleep 2;
echo -e "write (10,12) -1505\r"; sleep 2;
echo -e "write (10,13) -1280\r"; sleep 2;
echo -e "write (10,14) -1532\r"; sleep 2;
echo -e "write (11,0) -1274\r"; sleep 2;
echo -e "write (11,1) -1487\r"; sleep 2;
echo -e "write (11,2) -1602\r"; sleep 2;
echo -e "write (11,3) -1539\r"; sleep 2;
echo -e "write (11,4) -1591\r"; sleep 2;
echo -e "write (11,5) -1301\r"; sleep 2;
echo -e "write (11,6) -1386\r"; sleep 2;
echo -e "write (11,9) -1576\r"; sleep 2;
echo -e "write (11,10) -1379\r"; sleep 2;
echo -e "write (11,11) -1686\r"; sleep 2;
echo -e "write (11,12) -1423\r"; sleep 2;
echo -e "write (11,13) -1324\r"; sleep 2;
echo -e "write (11,14) -1628\r"; sleep 2;
echo -e "write (12,0) -1348\r"; sleep 2;
echo -e "write (12,1) -1442\r"; sleep 2;
echo -e "write (12,2) -1437\r"; sleep 2;
echo -e "write (12,3) -1449\r"; sleep 2;
echo -e "write (12,4) -1534\r"; sleep 2;
echo -e "write (12,5) -1547\r"; sleep 2;
echo -e "write (12,6) -1360\r"; sleep 2;
echo -e "write (12,9) -1313\r"; sleep 2;
echo -e "write (12,10) -1231\r"; sleep 2;
echo -e "write (12,11) -1398\r"; sleep 2;
echo -e "write (12,12) -1346\r"; sleep 2;
echo -e "write (12,13) -1323\r"; sleep 2;
echo -e "write (12,14) -1406\r"; sleep 2;
echo -e "write (13,0) -1475\r"; sleep 2;
echo -e "write (13,1) -1605\r"; sleep 2;
echo -e "write (13,2) -1619\r"; sleep 2;
echo -e "write (13,3) -1351\r"; sleep 2;
echo -e "write (13,4) -1250\r"; sleep 2;
echo -e "write (13,5) -1316\r"; sleep 2;
echo -e "write (13,6) -1305\r"; sleep 2;
echo -e "write (13,9) -1561\r"; sleep 2;
echo -e "write (13,10) -1349\r"; sleep 2;
echo -e "write (13,11) -1252\r"; sleep 2;
echo -e "write (13,12) -1282\r"; sleep 2;
echo -e "write (13,13) -1337\r"; sleep 2;
echo -e "write (13,14) -1321\r"; sleep 2;
echo -e "write (14,0) -1327\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1211\r"; sleep 2;
echo -e "write (14,4) -1277\r"; sleep 2;
echo -e "write (14,5) -1271\r"; sleep 2;
echo -e "write (14,6) -1353\r"; sleep 2;
echo -e "write (14,7) -1674\r"; sleep 2;
echo -e "write (14,9) -1418\r"; sleep 2;
echo -e "write (14,10) -1326\r"; sleep 2;
echo -e "write (14,11) -1429\r"; sleep 2;
echo -e "write (14,12) -1375\r"; sleep 2;
echo -e "write (14,13) -1393\r"; sleep 2;
echo -e "write (14,14) -1475\r"; sleep 2;
echo -e "write (15,0) -1458\r"; sleep 2;
echo -e "write (15,1) -1585\r"; sleep 2;
echo -e "write (15,2) -1439\r"; sleep 2;
echo -e "write (15,15) -1600\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7008 > ../log/fms_hvon_7008_$t.tex
echo Set new HV
cat ../log/fms_hvon_7008_$t.tex
